# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'trello_dxy/meta'

Gem::Specification.new do |gem|
  gem.name                  = 'trello_dxy'
  gem.version               = TrelloDXY::Meta::VERSION
  gem.authors               = ['Adam Gall']
  gem.email                 = ['adam.gall@dxydoes.com']
  gem.description           = 'Trello for DXY Interface'
  gem.summary               = 'Output various data from Trello into a DXY friendly interface'
  gem.homepage              = 'https://git.dxydoes.com/dxy/trello_dxy'
  gem.license               = 'MIT'

  gem.files                 = `git ls-files`.split($/)
  gem.files                 -= gem.files.grep(%r{^\.})
  gem.executables           = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files            = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths         = ['lib']
  gem.required_ruby_version = '>= 2.3.0'

  gem.add_development_dependency 'rspec', '~> 3.4', '>=3.4.0'
  gem.add_development_dependency 'rake', '~> 11.1', '>=11.1.2'

  gem.add_runtime_dependency 'highline', '1.7.8'
  gem.add_runtime_dependency 'ruby-trello', '1.4.1'
end
